%global mod_name shadowsocks-py

Name:		python-shadowsocks
Version:	2.9.1
Release:	%mkrel 6
Summary:	A fast tunnel proxy that help you get through firewalls

Group:		Networking/Other
License:	MIT
URL:		http://shadowsocks.org/
Source0:	https://pypi.io/packages/source/s/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
# m2crypto is not available for python3
#BuildRequires:  python3-m2crypto

%description
Shadowsocks is a socks5 tunnel proxy, designed to secure your Internet
traffic.

This package contains the client and server implementation for Shadowsocks in
Python.

%package -n python3-%{mod_name}
Summary:	A fast tunnel proxy that help you get through firewalls (Python 3)
Group:		Networking/Other
Obsoletes:	python3-shadowsocks < 2.4.3-11
Obsoletes:	python2-shadowsocks < 2.4.3-11
Obsoletes:	python2-shadowsocks-py < 2.9.1-3

%description -n python3-%{mod_name}
Shadowsocks is a socks5 tunnel proxy, designed to secure your Internet
traffic.

This package contains the client and server implementation for Shadowsocks in
Python 3.

%prep
%setup -q -n %{mod_name}-%{version}

# remove shebangs in the module files
sed -i -e '/^#!\//, 1d' shadowsocks/*.py shadowsocks/crypto/*.py

# explicitly remove the included egg
rm -fr shadowsocks_py.egg-info/

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{mod_name}
%doc README.rst LICENSE
%{_bindir}/sslocal
%{_bindir}/ssserver
%{python3_sitelib}/shadowsocks/
%{python3_sitelib}/shadowsocks_py-%{version}-py%{python3_version}.egg-info/



%changelog
* Mon Jan 11 2021 wally <wally> 2.9.1-6.mga8
+ Revision: 1671136
- obsolete old python2 pkg also providing sslocal and ssserver

* Mon Feb 17 2020 umeabot <umeabot> 2.9.1-5.mga8
+ Revision: 1537377
- Mageia 8 Mass Rebuild

* Wed Oct 30 2019 ovitters <ovitters> 2.9.1-4.mga8
+ Revision: 1456836
- also obsolete the python2 package (file conflicts)

* Thu Oct 24 2019 ovitters <ovitters> 2.9.1-3.mga8
+ Revision: 1455677
- obsolete the previous package name

* Sat Oct 12 2019 tv <tv> 2.9.1-2.mga8
+ Revision: 1452129
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 2.9.1-1.mga7
+ Revision: 1393880
- new version 2.9.1

* Tue Jan 08 2019 ovitters <ovitters> 2.4.3-7.mga7
+ Revision: 1352923
- rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.4.3-6.mga7
+ Revision: 1290025
- Mageia 7 Mass Rebuild

* Sat Sep 15 2018 daviddavid <daviddavid> 2.4.3-5.mga7
+ Revision: 1259135
- rename python-shadowsocks to python2-shadowsocks
- use new python macros

* Sat Aug 05 2017 pterjan <pterjan> 2.4.3-4.mga7
+ Revision: 1135632
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 2.4.3-3.mga6
+ Revision: 970619
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 ovitters <ovitters> 2.4.3-2.mga6
+ Revision: 887319
- rebuild for new python3

* Sun Aug 23 2015 ovitters <ovitters> 2.4.3-1.mga6
+ Revision: 868852
- add group
- clean spec
- imported package python-shadowsocks


* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Nov 16 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.4.3-2
- Build a subpackage for python3

* Sun Nov 16 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.4.3-1
- Update to 2.4.3

* Sat Sep 13 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1

* Tue Jul 15 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.11-1
- Update to 2.0.11, LICENSE included
- Explicitly remove the included egg

* Sat Jul 12 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.10-2
- BuildRequires python2-setuptools

* Sat Jul 12 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.10-1
- Update to 2.0.10
- Requries and BuildRequires m2crypto

* Sun Jul  6 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.8-2
- Explicitly use python2 macros

* Sat Jun 28 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.0.8-1
- Initial package for Fedora
